Bug 467402 - (mingw32-glib2) Review Request: mingw32-glib2 - MinGW Windows GLib2 library
Review Request: mingw32-glib2 - MinGW Windows GLib2 library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw32-iconv mingw32-gettext
Blocks: mingw32-atk mingw32-pango mingw32-gtk2 mingw32-liboil mingw32-gstreamer
  Show dependency treegraph
 
Reported: 2008-10-17 06:41 EDT by Richard W.M. Jones
Modified: 2009-03-20 09:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:03:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Levente Farkas 2008-11-01 09:13:08 EDT
please apply this patch

diff -up ./mingw32-glib2.spec.lfarkas ./mingw32-glib2.spec
--- ./mingw32-glib2.spec.lfarkas	2008-11-01 14:10:12.000000000 +0100
+++ ./mingw32-glib2.spec	2008-11-01 14:12:21.000000000 +0100
@@ -28,7 +28,7 @@ BuildRequires:  pkgconfig
 # Native version required for msgfmt use in build
 BuildRequires:  gettext
 # Native version required for glib-genmarshal
-BuildRequires:  glib2-devel
+BuildRequires:  glib2-devel >= %{version}
 
 %description
 MinGW Windows Glib2 library.
Comment 2 Richard W.M. Jones 2008-11-03 05:46:41 EST
I'm not sure about this patch - it will break building glib2
on EPEL, since RHEL-5 has some older version of glib2 (2.12.x).

I can understand that it might be necessary to ensure that the
version of glib-genmarshall (from native) is similar, but is
it actually necessary on EPEL?
Comment 3 Daniel Berrange 2008-11-03 05:56:33 EST
Furthermore, can we please *not* litter the Fedora review tickets with EPEL related stuff. The spec files / SRPMS submitted for review are intended to work against Fedora rawhide, and should be reviewed in that context. We make no claims as to their suitability for EPEL, and it is irrelevant for the purposes of these reviews since we are only targetting Fedora 9/10/rawhide.
Comment 4 Levente Farkas 2008-11-03 06:26:32 EST
for #2 epel build already break:-(

for #3 i assume all fedora packages should have to follow the guidelines eg:
https://fedoraproject.org/wiki/Packaging/DistTag
the purpose of such guidelines that the same spec file should have to be build on _both_ fedora X and epel (or at least try to keep fedora and epel spec file as close to each other as possible).
my goal was to create such packages which is working on both fedora X and epel. most production software are build on rhel/centos and if it's build for that the the windows binary of the same source would be useful to build on the same host with the same gtk, glib, gcc etc. i know the main purpose of these packages to build virt-manager and friends on fedora and windows and that the current rhel/centos is almost unusable with the shipped virt-manager, kvm etc. (that's the point i rebuild many of them on epel from fedora), but the goal should have to be that this packages when stabilized be included in rhel too. still most of the people wouldn't like to use fedora as their server, but may be rhel-5.x eg: 5.4 can contain a newer virt-manager and kvm (although it require newer kernel module too).
and yes i know you make no claims to be able to use these packages on epel, but wouldn't be nice? as it's require only a little effort...
Comment 5 Richard W.M. Jones 2008-11-03 06:43:53 EST
I'm requesting new packages be added to the EL-5 (EPEL) branch
so it is useful to know about bugs that affect these packages
in EPEL.  May be better to open separate BZs about those however.
Comment 7 Richard W.M. Jones 2009-01-25 08:17:33 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/glib2/mingw32-glib2.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-glib2-2.19.5-2.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.19.5-2
- Rebase to native Fedora version 2.19.5.
- Use _smp_mflags.
- Use find_lang.
- Don't build static libraries.
- +BR dlfcn.
Comment 8 Tim Lauridsen 2009-01-26 04:40:12 EST
can't find this dep in the F10 repos.

BuildRequires:  mingw32-filesystem >= 43-6

only 40-3 exists, so i can't rebuild the source rpm.
Comment 9 Richard W.M. Jones 2009-01-26 07:20:35 EST
I only updated it in Rawhide at the weekend, so it's possible
that it didn't make it out to the mirrors yet.

http://cvs.fedoraproject.org/viewvc/devel/mingw32-filesystem/
http://koji.fedoraproject.org/koji/buildinfo?buildID=80111

And yes, mingw32-filesystem >= 43-6 really is required because of
a bug related to the way we were detecting the C++ compiler.  For
Fedora 10 you can just copy the RPM from that Koji build above
and it will work fine.
Comment 10 Tim Lauridsen 2009-01-26 09:01:29 EST
* Sources matches upstream
     b9f8453dd38266108641c448ea8d5bee glib-2.19.5.tar.bz2 (upstream)
     b9f8453dd38266108641c448ea8d5bee glib-2.19.5.tar.bz2 (SRPM)

$ rpmlint mingw32-glib2-2.19.5-2.fc11.src.rpm (SRPM)
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    

$ rpmlint mingw32-glib2-2.19.5-2.fc10.noarch.rpm (RPMS)
    mingw32-glib2.noarch: W: no-documentation
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gmappedfile.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gloadableicon.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfilteroutputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gcompletion.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gi18n-lib.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/grand.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfileenumerator.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgmodule-2.0.dll.a
    mingw32-glib2.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgmodule-2.0.dll.a
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gseekable.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfilterinputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gmountoperation.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gvolumemonitor.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gconvert.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gcache.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/grel.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gtimer.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gthread-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gregex.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gprintf.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gqueue.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gmessages.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gbufferedinputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gsignal.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfileoutputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gioscheduler.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gmemoryoutputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/genums.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/glib-2.0.def
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/glist.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gicon.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gtypes.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gparam.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gbase64.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gsourceclosure.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gslist.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/galloca.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gcancellable.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfilenamecompleter.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gpoll.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gsequence.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libglib-2.0.la
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gbacktrace.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gdataset.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gioerror.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gmarshal.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gerror.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/giomodule.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/giochannel.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gdate.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gbufferedoutputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gmain.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gstdio.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/ghash.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gvalue.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gnativevolumemonitor.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gcontenttype.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgio-2.0.la
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gsimpleasyncresult.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gemblem.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gasyncresult.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gslice.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gtype.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libglib-2.0.dll.a
    mingw32-glib2.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libglib-2.0.dll.a
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gchecksum.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgobject-2.0.dll.a
    mingw32-glib2.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgobject-2.0.dll.a
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gvfs.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gio-unix-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gkeyfile.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gio.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gclosure.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfileattribute.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/garray.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gvaluetypes.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgobject-2.0.la
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gscanner.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/gobject-2.0.def
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gtestutils.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gmarkup.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfile.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/glib-2.0/include/glibconfig.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgthread-2.0.la
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gshell.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfileicon.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gmemoryinputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gdatainputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gpattern.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gmacros.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gmodule-no-export-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gnode.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfileinfo.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib-object.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gfileutils.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gobject.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gquark.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gi18n.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgmodule-2.0.la
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gobjectnotifyqueue.c
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gbookmarkfile.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgio-2.0.dll.a
    mingw32-glib2.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgio-2.0.dll.a
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gurifuncs.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gtypemodule.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gtypeplugin.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gappinfo.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gioenums.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgthread-2.0.dll.a
    mingw32-glib2.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgthread-2.0.dll.a
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/glib-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gdataoutputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gprimes.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gstrfuncs.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/goption.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gmodule.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/ginputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gspawn.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gemblemedicon.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gvaluearray.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/giotypes.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gmem.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/goutputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gvolume.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/ghook.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gatomic.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/gmodule-2.0.def
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gobject-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gstring.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gwin32.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfilemonitor.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gmodule-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gboxed.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/gthread-2.0.def
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gvaluecollector.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gio-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gioenumtypes.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gdir.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gqsort.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gobject/gparamspecs.h
    mingw32-glib2.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/gio-2.0.def
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gunicode.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gutils.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gtree.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gthread.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gfileinputstream.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gthreadpool.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/gmodule-export-2.0.pc
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gthemedicon.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gdrive.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/gio/gmount.h
    mingw32-glib2.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/glib-2.0/glib/gasyncqueue.h
    mingw32-glib2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgthread-2.0.dll.a
    mingw32-glib2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgio-2.0.dll.a
    mingw32-glib2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgobject-2.0.dll.a
    mingw32-glib2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgmodule-2.0.dll.a
    mingw32-glib2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libglib-2.0.dll.a
    mingw32-glib2.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
    1 packages and 0 specfiles checked; 15 errors, 145 warnings.
Comment 11 Tim Lauridsen 2009-01-26 09:03:28 EST
the rpmlint warning and error is ok for a mingw32 packages
https://fedoraproject.org/wiki/MinGW/Rpmlint
Comment 12 Tim Lauridsen 2009-01-26 09:10:42 EST
MUST:
* package is named according to the Package Naming Guidelines
    mingw32-*
* spec file name match base package
* package meet Packaging Guidelines 
* package is licensed with a Fedora approved license and meet the Licensing Guidelines
* License field match the actual license.
* available license(s) file(s) is included in %doc.
* spec file is written in American English. 
* spec file is legible. 
* package compile on x86
* build dependencies is listed in BuildRequires
* available locales handled properly. (%find_lang macro)
* no shared libs
* package not relocatable
* package own all directories that it creates.
* no duplicate files in the %files listing. 
* Permissions on files must be set properly. (%defattr(...) line)
* %clean section present and contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* package is consistently using macros
* package contain code, or permissable content
* no large doc
* %doc does not affect runtime
* no headers (native)
* no static libs
* available pkgconfig(.pc) files 'Requires: pkgconfig' 
* no *.so.* libs
* no -devel packages
* package dont contain .la libtool archives.
    no native ones
* not a GUI app.
* no files or directories already owned by other packages.
* %install begins with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* filenames is valid UTF-8

APPROVED.
Comment 13 Richard W.M. Jones 2009-01-26 09:28:48 EST
Tim, great again.  Having glib in MinGW makes the project
very much more useful.  I guess I owe you several reviews now.

A CVS request coming up ...
Comment 14 Richard W.M. Jones 2009-01-26 09:30:29 EST
New Package CVS Request
=======================
Package Name: mingw32-glib2
Short Description: MinGW Windows GLib2 library
Owners: rjones berrange lfarkas
Branches: F-10 EL-5
InitialCC:
Comment 15 Tim Lauridsen 2009-01-26 09:33:28 EST
(In reply to comment #13)
> Tim, great again.  Having glib in MinGW makes the project
> very much more useful.  I guess I owe you several reviews now.
> 

Just helping out :)
Comment 16 Kevin Fenzi 2009-01-26 17:43:40 EST
cvs done.
Comment 17 Levente Farkas 2009-01-27 09:50:21 EST
for #9 is there any reason you not pushed 43.6 or 44.1 to f10 and epel?
Comment 18 Richard W.M. Jones 2009-01-28 05:34:54 EST
(In reply to comment #17)
> for #9 is there any reason you not pushed 43.6 or 44.1 to f10 and epel?

Levente, let's discuss unrelated issues on the mailing list.
Comment 19 Richard W.M. Jones 2009-01-28 07:18:30 EST
This has been built in Rawhide, F-10 and EL-5.

Thanks again Tim and Kevin for helping with this review.

I'll leave this bug open until the F-10 update goes through.
Comment 20 Fedora Update System 2009-01-29 18:03:18 EST
mingw32-glib2-2.19.5-2.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.